[arch-commits] Commit in kdebindings/kde-unstable (PKGBUILD)

Pierre Schmitz pierre at archlinux.org
Sun Jan 17 12:32:12 EST 2010


    Date: Sunday, January 17, 2010 @ 12:32:12
  Author: pierre
Revision: 63485

cleanup: remove versioned deps and unneeded ldflags (makepkg default now)

Modified:
  kdebindings/kde-unstable/PKGBUILD

----------+
 PKGBUILD |    5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-17 17:31:54 UTC (rev 63484)
+++ PKGBUILD	2010-01-17 17:32:12 UTC (rev 63485)
@@ -12,7 +12,7 @@
 arch=('i686' 'x86_64')
 url='http://www.kde.org'
 license=('GPL' 'LGPL')
-makedepends=('pkgconfig' 'cmake' 'automoc4' 'kdepimlibs' 'pyqt>=4.6.0'
+makedepends=('pkgconfig' 'cmake' 'automoc4' 'kdepimlibs' 'pyqt'
              'qimageblitz' 'qscintilla' 'ruby' 'mono' 'kdegraphics-okular')
 source=("http://download.kde.org/unstable/${pkgver}/src/${pkgbase}-${pkgver}.tar.bz2")
 md5sums=('80687fa18608e081c814fdaf467f3eb5')
@@ -23,7 +23,8 @@
 	cd $srcdir/build
 
 	# disable broken examples
-	sed -e 's#add_subdirectory( examples )##' -i ../${pkgbase}-${pkgver}/csharp/plasma/CMakeLists.txt || return 1
+	sed -e 's#add_subdirectory( examples )##' \
+		-i ../${pkgbase}-${pkgver}/csharp/plasma/CMakeLists.txt || return 1
 
 	# fix build with ruby 1.9
 	# see http://bugs.archlinux.org/task/16175



More information about the arch-commits mailing list